Package: org.apache.groovy.antlr

## [Java] Class LexerFrame

- org.apache.groovy.antlr.LexerFrame

- All Implemented Interfaces and Traits:
    ActionListener

      public class LexerFrame
      extends JFrame
      implements ActionListener

  Swing application to graphically display the tokens produced by the lexer.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JFrame` | `DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE, DISPOSE_ON_CLOSE, EXIT_ON_CLOSE, DEFAULT_CURSOR, CROSSHAIR_CURSOR, TEXT_CURSOR, WAIT_CURSOR, SW_RESIZE_CURSOR, SE_RESIZE_CURSOR, NW_RESIZE_CURSOR, NE_RESIZE_CURSOR, N_RESIZE_CURSOR, S_RESIZE_CURSOR, W_RESIZE_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, MOVE_CURSOR, NORMAL, ICONIFIED, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MAXIMIZED_BOTH, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `LexerFrame ()` Constructor used when invoking as a standalone application
    `LexerFrame (Reader reader)` Constructor used when invoking for a specific file

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `actionPerformed(ActionEvent ae)`
    `` | `public void` | `actionPerformed(ActionEvent ae)`
    `` | `public static void` | `main(String[] args)`
    `` | `public void` | `mouseReleased(MouseEvent e)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JFrame` | `setDefaultCloseOperation, getDefaultCloseOperation, setDefaultLookAndFeelDecorated, isDefaultLookAndFeelDecorated, repaint, getRootPane, setLayout, setIconImage, getAccessibleContext, getGraphics, setTransferHandler, getTransferHandler, remove, update, setJMenuBar, getJMenuBar, setContentPane, getContentPane, setLayeredPane, getLayeredPane, setGlassPane, getGlassPane, setState, setUndecorated, isUndecorated, addNotify, removeNotify, setCursor, isResizable, setResizable, setOpacity, setShape, setBackground, getTitle, setTitle, getIconImage, setExtendedState, getExtendedState, setMaximizedBounds, getMaximizedBounds, getCursorType, getFrames, remove, getState, setMenuBar, getMenuBar, dispose, getShape, getLocale, setType, getWindows, setVisible, isValidateRoot, hide, isFocusCycleRoot, getFocusCycleRootAncestor, getBackground, setBounds, setBounds, isShowing, getFocusTraversalKeys, setFocusCycleRoot, getFocusOwner, postEvent, getMostRecentFocusOwner, getToolkit, show, setCursor, createBufferStrategy, createBufferStrategy, getBufferStrategy, setLocation, setLocation, getIconImages, setIconImages, toFront, toBack, getWarningString, getOwnedWindows, getOwnerlessWindows, setModalExclusionType, getModalExclusionType, addWindowListener, addWindowStateListener, addWindowFocusListener, removeWindowListener, removeWindowStateListener, removeWindowFocusListener, getWindowListeners, getWindowFocusListeners, getWindowStateListeners, setAlwaysOnTop, isAlwaysOnTopSupported, isAlwaysOnTop, isFocused, getFocusableWindowState, setFocusableWindowState, setAutoRequestFocus, isAutoRequestFocus, applyResourceBundle, applyResourceBundle, setLocationRelativeTo, setLocationByPlatform, isLocationByPlatform, getOpacity, getListeners, paint, setMinimumSize, reshape, getInputContext, isFocusableWindow, addPropertyChangeListener, addPropertyChangeListener, getType, isOpaque, isActive, getOwner, setSize, setSize, pack, invalidate, layout, getComponent, isFocusCycleRoot, getFocusTraversalPolicy, setFocusTraversalPolicy, countComponents, setComponentZOrder, getComponentZOrder, doLayout, paintComponents, printComponents, addContainerListener, removeContainerListener, getContainerListeners, deliverEvent, getMousePosition, findComponentAt, findComponentAt, isAncestorOf, areFocusTraversalKeysSet, isFocusTraversalPolicySet, setFocusTraversalPolicyProvider, isFocusTraversalPolicyProvider, transferFocusDownCycle, applyComponentOrientation, getLayout, getComponents, preferredSize, getPreferredSize, getMaximumSize, minimumSize, getMinimumSize, getInsets, insets, getAlignmentY, getAlignmentX, setFont, setFocusTraversalKeys, getComponentCount, getComponentAt, getComponentAt, add, add, add, add, add, remove, list, list, validate, print, removeAll, locate, isEnabled, bounds, getBounds, getBounds, setEnabled, enable, enable, handleEvent, disable, revalidate, isVisible, repaint, repaint, repaint, isDoubleBuffered, nextFocus, getForeground, getFont, getTreeLock, isDisplayable, isPreferredSizeSet, isMaximumSizeSet, isMinimumSizeSet, isLightweight, getPropertyChangeListeners, getPropertyChangeListeners, getMousePosition, getGraphicsConfiguration, isFocusable, isFocusOwner, transferFocus, transferFocusBackward, setDropTarget, getDropTarget, enableInputMethods, show, isForegroundSet, isBackgroundSet, isFontSet, getColorModel, getLocationOnScreen, getCursor, isCursorSet, paintAll, imageUpdate, createImage, createImage, createVolatileImage, createVolatileImage, prepareImage, prepareImage, checkImage, checkImage, setIgnoreRepaint, getIgnoreRepaint, inside, addComponentListener, removeComponentListener, getComponentListeners, addFocusListener, removeFocusListener, getFocusListeners, addHierarchyListener, removeHierarchyListener, getHierarchyListeners, addHierarchyBoundsListener, removeHierarchyBoundsListener, getHierarchyBoundsListeners, addKeyListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, printAll, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, getFontMetrics, setPreferredSize, setMaximumSize, getBaseline, getBaselineResizeBehavior, setForeground, getX, getY, getWidth, getHeight, dispatchEvent, removeKeyListener, getKeyListeners, addMouseListener, removeMouseListener, getMouseListeners, addMouseMotionListener, removeMouseMotionListener, getMouseMotionListeners, addMouseWheelListener, removeMouseWheelListener, getMouseWheelListeners, addInputMethodListener, removeInputMethodListener, getInputMethodListeners, getInputMethodRequests, mouseDown, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, gotFocus, lostFocus, isFocusTraversable, setFocusable, setFocusTraversalKeysEnabled, getFocusTraversalKeysEnabled, transferFocusUpCycle, hasFocus, setComponentOrientation, getComponentOrientation, setMixingCutoutShape, add, toString, getName, contains, contains, list, list, list, size, getParent, getLocation, getLocation, setName, action, location, getSize, getSize, resize, resize, move, setLocale, isValid, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public LexerFrame()

      Constructor used when invoking as a standalone application

    - #### public LexerFrame(Reader reader)

      Constructor used when invoking for a specific file

  - ### Method Detail

    - #### public void actionPerformed(ActionEvent ae)

    - #### public static void main(String[] args)

    - #### public void mouseReleased(MouseEvent e)